import { konva_type, rich_text_type, spreadsheet_type } from '../ot-types';
import spread_js_img from '../assets/sheet.jpg';
import quill_img from '../assets/text.jpg';
import konva_img from '../assets/paint.jpg';

const docIcons = new Map<string, string>();
docIcons.set(spreadsheet_type.uri, spread_js_img);
docIcons.set(konva_type.uri, konva_img);
docIcons.set(rich_text_type.uri, quill_img);

export function getDocIcon(type: string) {
    return docIcons.get(type);
}